DH_MAKESHLIBS(1)

NOM
dh_makeshlibs - Créer automatiquement le fichier shlibs et exécuter dpkg-gensymbols

SYNOPSIS
dh_makeshlibs [options_de_debhelper] [-mnuméro-majeur] [-V[dépendances]] [-n] [-Xélément] [-- paramètres]

DESCRIPTION
dh_makeshlibs est le programme de la suite debhelper qui automatise la recherche des bibliothèques partagées et produit un fichier « shlibs » pour celles qu'il trouve.

Il s'assure aussi que ldconfig est invoqué durant l'installation et la suppression lorsqu'il trouve des bibliothèques partagées. Depuis debhelper 9.20151004, cela est effectué par un trigger de dpkg. Dans les anciennes versions de debhelper, dh_makeshlibs générait un script de maintenance pour cela.

FICHIERS

debian/paquet.shlibs
    Si présent, installe ce fichier dans le paquet en tant que DEBIAN/shlibs. S'il est omis, debhelper génèrera automatiquement un fichier shlibs s'il détecte une bibliothèque.

    Veuillez noter que, dans les niveaux de compatibilité 9 et précédents, ce fichier était installé par dh_installdeb(1) plutôt que par dh_makeshlibs.

debian/paquet.symbols
debian/paquet.symbols.arch
    Ces fichiers de symboles, s'ils existent, sont transmis à dpkg-gensymbols(1) pour être traités et installés. Préciser le nom de l'architecture avec arch s'il est nécessaire de fournir des fichiers de symboles différents pour diverses architectures.

OPTIONS

-mnuméro-majeur, --major=numéro-majeur
    Utilise le numéro majeur indiqué après le paramètre -m afin de préciser le numéro majeur de version de la bibliothèque, au lieu d'essayer de le déterminer avec objdump. Ce paramètre est devenu beaucoup moins utile qu'autrefois où ce programme se basait sur les noms des fichiers de bibliothèque et non sur l'utilisation d'objdump.

-V, -Vdépendances
--version-info, --version-info=dépendances
    Par défaut, le fichier shlibs produit par ce programme ne rend pas les paquets dépendants d'une version particulière du paquet contenant la bibliothèque partagée. Il peut être utile d'ajouter une indication de dépendance de version au fichier shlibs. Si -V est indiqué sans préciser de valeur, elle sera fixée comme étant égale à la version du paquet amont actuel, de la manière suivante : « nom_du_paquet (>= version_du_paquet) ». Nota : Dans les niveaux de compatibilité inférieur à v4, la partie Debian du numéro de version du paquet est incluse également. Si -V est employé avec un paramètre, celui-ci peut être utilisé pour indiquer la dépendance requise exacte (inclure absolument le nom de paquet).

    L'usage de -V sans paramètre est risqué. C'est une disposition conservatoire qui garantit que les dépendances des autres paquets envers la bibliothèque partagée sont aussi strictes qu'elles le doivent (à moins que la bibliothèque soit sujette à des changements d'ABI sans mise à jour des numéros de version amont). De cette manière, si le responsable du paquet cafouille, les autres paquets ne seront pas cassés. Le risque est que les paquets pourraient finir par avoir des dépendances tellement strictes qu'il serait difficile de les mettre à jour.

-n, --no-scripts
    N'ajoutez pas l'action différée (« trigger ») même s'il semble que le paquet en a besoin. L'option est nommée --no-scripts pour des raisons historiques car dh_makeshlibs générait précédemment un script de maintenance qui appelait ldconfig.

-Xélément, --exclude=élément
    Permet d'exclure du traitement des bibliothèques partagées les fichiers qui comportent élément n'importe où dans leur nom.

--add-udeb=udeb
    Ajoute une ligne supplémentaire, pour les udebs, dans le fichier shlibs et rend les udebs dépendants du paquet indiqué par udeb plutôt que les rendre dépendants du paquet normal de la bibliothèque.

-- paramètres
    Fournit paramètres à dpkg-gensymbols(1).

EXEMPLES

dh_makeshlibs
    En admettant que le paquet s'appelle libtoto1, cette commande produit un fichier shlibs tel que : libtoto 1 libtoto1

dh_makeshlibs -V
    En admettant que la version actuelle du paquet soit 1.1-3, cette commande produit un fichier shlibs tel que :
     libtoto 1 libtoto1 (>= 1.1)

dh_makeshlibs -V `libtoto1 (>= 1.0)'
    Produit un fichier shlibs tel que :
     libtoto 1 libtoto1 (>= 1.0)

VOIR AUSSI
debhelper(7)

Ce programme fait partie de debhelper.

AUTEUR
Joey Hess <joeyh@debian.org>

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe francophone de traduction de Debian.

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet debhelper.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».